Loading...
Searching...
No Matches
AFactor< T > Class Template Reference

`#include <ftmpl_afactor.h>`

## Public Member Functions

| AFactor ()
| AFactor (const AFactor< T > &f)
| AFactor (const T &f, const T &m, int e)
| AFactor (const T &f, const T &m)
| ~AFactor ()
AFactor< T > & | operator= (const AFactor< T > &)
T | factor () const
T | minpoly () const
int | exp () const
T | value () const
void | print (OSTREAM &) const

## Private Attributes

T | _factor
T | _minpoly
int | _exp

## Detailed Description

template<class T>
class AFactor< T >

Definition at line 17 of file ftmpl_afactor.h.

## Constructor & Destructor Documentation

## AFactor() [1/4]

template<class T>

AFactor< T >::AFactor | ( |  | ) |

inline

Definition at line 23 of file ftmpl_afactor.h.

: _factor(1), _minpoly (1), _exp(0) {}
AFactor::_minpoly
T _minpoly
Definition ftmpl_afactor.h:20
AFactor::_exp
int _exp
Definition ftmpl_afactor.h:21
AFactor::_factor
T _factor
Definition ftmpl_afactor.h:19

## AFactor() [2/4]

template<class T>

AFactor< T >::AFactor | ( | const AFactor< T > & | f | ) |

inline

Definition at line 24 of file ftmpl_afactor.h.

: _factor(f._factor), _minpoly (f._minpoly), _exp(f._exp) {}
AFactor
Definition ftmpl_afactor.h:17

## AFactor() [3/4]

template<class T>

AFactor< T >::AFactor | ( | const T & | f,
|  | const T & | m,
|  | int | e )

inline

Definition at line 25 of file ftmpl_afactor.h.

: _factor(f), _minpoly (m), _exp(e) {}

## AFactor() [4/4]

template<class T>

AFactor< T >::AFactor | ( | const T & | f,
|  | const T & | m )

inline

Definition at line 26 of file ftmpl_afactor.h.

: _factor(f), _minpoly (m), _exp(1) {}

## ~AFactor()

template<class T>

AFactor< T >::~AFactor | ( |  | ) |

inline

Definition at line 27 of file ftmpl_afactor.h.

{}

## Member Function Documentation

## exp()

template<class T>

int AFactor< T >::exp | ( |  | ) | const

inline

Definition at line 31 of file ftmpl_afactor.h.

{ return _exp; }

## factor()

template<class T>

T AFactor< T >::factor | ( |  | ) | const

inline

Definition at line 29 of file ftmpl_afactor.h.

{ return _factor; }

## minpoly()

template<class T>

T AFactor< T >::minpoly | ( |  | ) | const

inline

Definition at line 30 of file ftmpl_afactor.h.

{ return _minpoly; }

## operator=()

template<class T>

AFactor< T > & AFactor< T >::operator= | ( | const AFactor< T > & | f | ) |

Definition at line 6 of file ftmpl_afactor.cc.

{
if ( this != &f )
{
_minpoly = f._minpoly;
_factor = f._factor;
_exp = f._exp;
}
return *this;
}

## print()

template<class T>

void AFactor< T >::print | ( | OSTREAM & | s | ) | const

Definition at line 25 of file ftmpl_afactor.cc.

{
if ( exp() == 1 )
s << "(" << factor() << ", " << minpoly() << ")";
else
s << "((" << factor() << ")^" << exp() << ", " << minpoly() << ")";
}
AFactor::minpoly
T minpoly() const
Definition ftmpl_afactor.h:30
AFactor::exp
int exp() const
Definition ftmpl_afactor.h:31
AFactor::factor
T factor() const
Definition ftmpl_afactor.h:29

## value()

template<class T>

T AFactor< T >::value | ( |  | ) | const

inline

Definition at line 32 of file ftmpl_afactor.h.

{ return power( _factor, _exp ); }
power
CanonicalForm power(const CanonicalForm &f, int n)
exponentiation
Definition canonicalform.cc:1896

## Field Documentation

## _exp

template<class T>

int AFactor< T >::_exp

private

Definition at line 21 of file ftmpl_afactor.h.

## _factor

template<class T>

T AFactor< T >::_factor

private

Definition at line 19 of file ftmpl_afactor.h.

## _minpoly

template<class T>

T AFactor< T >::_minpoly

private

Definition at line 20 of file ftmpl_afactor.h.

The documentation for this class was generated from the following files:

- factory/include/factory/templates/ftmpl_afactor.h
- factory/templates/ftmpl_afactor.cc